Subject: RE: bug#36745: 27.0.50; completing-read with require-match nil does not accept spaces

From: Drew Adams <[email-masked]>
Date: Sat, 20 Jul 2019 20:14:43 +0000 (UTC)

> completing-read is not accepting spaces when require-match is nil
> 
> I have discovered I could use C-q SPACE to enter space and get any
> input
> such as "two words"
> 
> (completing-read "Hello: " '("Something here" "more here") nil nil)
> 
> The above function is accepting any input, not just completions, but
> spaces cannot be entered.
> 
> I think that it is not logical if it says "any input" that spaces
> cannot be entered and it is in that sense possible bug.

FWIW: By default, both `?' and `SPC' are
self-inserting for completion in Icicles
(and have been since 2004).

But this is configurable, with option
`icicle-completion-key-bindings'.

https://www.emacswiki.org/emacs/Icicles_-_Key_Bindings#MinibufferBindings